<?php

namespace Modules\Admin\Repositories\Interfaces;

use Illuminate\Database\Eloquent\Collection;
use Illuminate\Pagination\LengthAwarePaginator;
use Modules\SaveTheFood\Models\SaveTheFoodProduct;

interface SaveTheFoodProductRepositoryInterface
{
    public function all(): Collection;
    public function find(int $id): ?SaveTheFoodProduct;
    public function create(array $data): SaveTheFoodProduct;
    public function update(int $id, array $data): SaveTheFoodProduct;
    public function delete(int $id): bool;
    public function paginate(int $perPage = 10): LengthAwarePaginator;
    public function count(): int;
}
